//----------------------------------------------------------------------
// arrow3.js
// Author: Bob Dondero
//----------------------------------------------------------------------

'use strict';

class Car {

   constructor(color) {
      this._color = color;
   }

   writeColor() {
      setTimeout(
         () => { process.stdout.write(this._color + '\n'); },
         2000
      );
   }
}

function main() {
   let blueCar = new Car('blue');
   blueCar.writeColor();
}

if (require.main === module)
   main();
