//----------------------------------------------------------------------
// PennyFooter.jsx
// Author: Bob Dondero
//----------------------------------------------------------------------

import React from 'react';

//----------------------------------------------------------------------

function PennyFooter() {

   const [datetime, setDatetime] = React.useState(new Date());

   function updateFooter() {
      window.setInterval(
         () => {setDatetime(new Date());},
         1000
      );
   }

   React.useEffect(updateFooter, []);

   return (
      <div>
         <hr />
         Date and time: {datetime.toLocaleString()}
         <br />
         Created by&nbsp;
         <a href="https://www.cs.princeton.edu/~rdondero">
         Bob Dondero</a>
      </div>
   );
}

//----------------------------------------------------------------------

export default PennyFooter;
