//----------------------------------------------------------------------
// PennyHeader.jsx
// Author: Bob Dondero
//----------------------------------------------------------------------

import React from 'react';

//----------------------------------------------------------------------

function PennyHeader() {
   const [datetime, setDatetime] = React.useState(new Date());

   function updateHeader() {
      window.setInterval(
         () => {setDatetime(new Date());},
         1000
      );
   }

   React.useEffect(updateHeader, []);

   let hours = datetime.getHours();
   let ampm = (hours < 12) ? 'morning' : 'afternoon';
   return (
      <div>
         <hr />
         Good {ampm} and welcome to Penny.com
         <hr />
      </div>
   );
}

//----------------------------------------------------------------------

export default PennyHeader;
